> For the complete documentation index, see [llms.txt](https://docs.elastiflow.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.elastiflow.com/data_platforms/splunk/datainput_and_index.md).

# Configuring Data Input & Index

In order for Splunk to receive data from NetObserv Flow, you must first configure a Data Input & an Index.

There are 5 steps to set up a Data Input & Index

1. Create a Data Input: Settings -> Data Inputs -> HTTP Event Collector -> **+Add New** ![image](https://user-images.githubusercontent.com/43585378/190283981-fdd806ff-ec97-449c-8f77-af4e024d8d47.png) ![image](https://user-images.githubusercontent.com/43585378/190283983-e79a07b8-8068-4bd4-ab0d-cb49401252b8.png)
2. Give it a Name, click Next ![image](https://user-images.githubusercontent.com/43585378/190283985-ebac24a9-3ae8-4246-8faa-7cfbc5477a81.png)
3. Source Type -> Select -> Select Source Type -> Log To Metrics -> log2metrics\_keyvalue ![image](https://user-images.githubusercontent.com/43585378/190283987-c43a8462-5785-472a-b47d-7916249190eb.png)
   1. Select Allowed Indexes (pick the ElastiFlow Index you want to use, if one does not exist, click "Create a new index") ![image](https://user-images.githubusercontent.com/43585378/190283988-fe780355-71f4-4dda-8779-9ba87bfba8be.png)
   2. Verify these sections and click Review: ![image](https://user-images.githubusercontent.com/43585378/190283990-03f95aa8-d114-4513-b686-fe38af1d801c.png)
4. Click Submit ![image](https://user-images.githubusercontent.com/43585378/190283991-0261e18b-316b-4522-b27b-4645c9419b25.png)
5. Copy this Token Value and use it in your ElastiFlow configuration [here](/flowcoll/configuration/outputs/output_splunk_hec.md#ef_output_splunk_hec_token) ![image](https://user-images.githubusercontent.com/43585378/190283992-63795753-8190-4124-869b-e0155c406a0d.png) ![image](https://user-images.githubusercontent.com/43585378/190283993-cd881d47-81e8-4b01-ae72-6a314838aa43.png)

```yaml
#EF_OUTPUT_SPLUNK_HEC_ADDRESSES: 127.0.0.1:8088
#EF_OUTPUT_SPLUNK_HEC_BATCH_DEADLINE: 2000
#EF_OUTPUT_SPLUNK_HEC_BATCH_MAX_BYTES: 8388608
#EF_OUTPUT_SPLUNK_HEC_CIM_ENABLE: "false"
#EF_OUTPUT_SPLUNK_HEC_DROP_FIELDS: ""
#EF_OUTPUT_SPLUNK_HEC_ENABLE: "false"
#EF_OUTPUT_SPLUNK_HEC_TLS_CA_CERT_FILEPATH: ""
#EF_OUTPUT_SPLUNK_HEC_TLS_ENABLE: "true"
#EF_OUTPUT_SPLUNK_HEC_TLS_SKIP_VERIFICATION: "false"
#EF_OUTPUT_SPLUNK_HEC_TOKEN: ""
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.elastiflow.com/data_platforms/splunk/datainput_and_index.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
